%define upstream_name Parallel-Iterator
%define upstream_version 1.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Simple parallel execution
Source0:    https://cpan.metacpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz
Url:        https://metacpan.org/release/%{upstream_name}

BuildRequires: perl(Config)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Select)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%{?perl_default_filter}

%description
The 'map' function applies a user supplied transformation function to each
element in a list, returning a new list containing the transformed
elements.

This module provides a 'parallel map'. Multiple worker processes are forked
so that many instances of the transformation function may be executed
simultaneously.

For time consuming operations, particularly operations that spend most of
their time waiting for I/O, this is a big performance win. It also provides
a simple idiom to make effective use of multi CPU systems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Aug 13 2022 tv <tv> 1.2.0-1.mga9
+ Revision: 1877358
- update to 1.002

* Sun Jul 17 2022 tv <tv> 1.1.0-1.mga9
+ Revision: 1869234
- update to 1.001

* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-12.mga9
+ Revision: 1805037
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-11.mga8
+ Revision: 1496339
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-10.mga7
+ Revision: 1270299
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-9.mga6
+ Revision: 1031629
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.0.0-8.mga6
+ Revision: 931117
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.00-7.mga5
+ Revision: 751185
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.00-6.mga5
+ Revision: 733211
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.00-5.mga5
+ Revision: 685877
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.00-4.mga4
+ Revision: 513913
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.00-3.mga3
+ Revision: 371456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.00-2.mga1
+ Revision: 31024
- mageia rebuild
- imported package perl-Parallel-Iterator

